# Asterisk Project : Asterisk 13 ManagerAction_ExtensionStateList

Created by wikibot on Aug 08, 2014

# ExtensionStateList

### Synopsis

List the current known extension states.

### Description

This will list out all known extension states in a sequence of ExtensionStatus events. When finished, a ExtensionStateListComplete event will be emitted.

### Syntax

    Action: ExtensionStateList
    ActionID: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.

### See Also

- Asterisk 13 ManagerAction_ExtensionState
- Asterisk 13 Function_HINT
- Asterisk 13 Function_EXTENSION_STATE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538